> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a supplier

> Update a supplier

### Path parameters

<ParamField path="id" type="string" required>
  Supplier ID
</ParamField>

### Request body

`UpdateSupplierRequest`

<ParamField body="address" type="string,null" />

<ParamField body="city" type="string,null" />

<ParamField body="contact_name" type="string,null" />

<ParamField body="country" type="string,null" />

<ParamField body="currency" type="string,null">
  ISO 4217 currency code.
</ParamField>

<ParamField body="email" type="string,null" />

<ParamField body="is_active" type="boolean,null" />

<ParamField body="lead_time_days" type="integer,null (int32)" />

<ParamField body="minimum_order" type="string,null">
  Decimal minimum order amount as a string.
</ParamField>

<ParamField body="name" type="string,null" />

<ParamField body="notes" type="string,null" />

<ParamField body="payment_terms" type="string,null" />

<ParamField body="phone" type="string,null" />

<ParamField body="postal_code" type="string,null" />

<ParamField body="state" type="string,null" />

<ParamField body="tax_id" type="string,null" />

<ParamField body="website" type="string,null" />

### Responses

<ResponseField name="200" type="SupplierResponse" />

<ResponseField name="400" type="ErrorBody" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/suppliers/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "address": null,
    "city": null,
    "contact_name": null,
    "country": null,
    "currency": null,
    "email": null,
    "is_active": null,
    "lead_time_days": null,
    "minimum_order": null,
    "name": null,
    "notes": null,
    "payment_terms": null,
    "phone": null,
    "postal_code": null,
    "state": null,
    "tax_id": null,
    "website": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "contact_name": null,
    "country": null,
    "created_at": "string",
    "currency": "string",
    "email": null,
    "id": "string",
    "is_active": true,
    "lead_time_days": null,
    "minimum_order": null,
    "name": "string",
    "payment_terms": "string",
    "phone": null,
    "supplier_code": "string"
  }
  ```
</ResponseExample>
